低危 Grafana信息泄露漏洞

CVE编号

CVE-2020-12458

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-04-30
漏洞描述
Grafana是Grafana实验室的一套提供可视化监控界面的开源监控工具。该工具主要用于监控和分析Graphite、InfluxDB和Prometheus等。 Grafana 6.7.3及之前版本中存在信息泄露漏洞,该漏洞源于程序将/var/lib/grafana数据库目录和/var/lib/grafana/grafana.db数据库文件设置为全局可读取。攻击者可利用该漏洞获取敏感信息(例如:明文或加密的数据资源密码)。

解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://grafana.com/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 grafana grafana * Up to
(including)
6.7.3
运行在以下环境
应用 redhat ceph_storage 3.0 -
运行在以下环境
应用 redhat ceph_storage 4.0 -
运行在以下环境
系统 centos_8 grafana-influxdb * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 fedora_31 grafana-a * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_31 grafana-cloudwatch * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_31 grafana-debuginfo * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_31 grafana-graphite * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_31 grafana-influxdb * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_31 grafana-mysql * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_31 grafana-opentsdb * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_31 grafana-postgres * Up to
(excluding)
6.7.3-1.fc31
运行在以下环境
系统 fedora_32 grafana-a * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 fedora_32 grafana-cloudwatch * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 fedora_32 grafana-debuginfo * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 fedora_32 grafana-graphite * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 fedora_32 grafana-influxdb * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 fedora_32 grafana-mysql * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 fedora_32 grafana-opentsdb * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 fedora_32 grafana-postgres * Up to
(excluding)
6.7.3-1.fc32
运行在以下环境
系统 oracle_8 grafana-a * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 oracle_8 grafana-cloudwatch * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 oracle_8 grafana-debuginfo * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 oracle_8 grafana-graphite * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 oracle_8 grafana-influxdb * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 oracle_8 grafana-mysql * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 oracle_8 grafana-opentsdb * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 oracle_8 grafana-postgres * Up to
(excluding)
6.7.4-3.el8
运行在以下环境
系统 redhat_8 grafana-influxdb * Up to
(excluding)
6.7.4-3.el8
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-312 敏感数据的明文存储
CWE-732 关键资源的不正确权限授予
阿里云安全产品覆盖情况